# Interface IGenerateQueryDataResult

interface IGenerateQueryDataResult {
alias: string;
args: string[];
defs: string[];
fieldTypes: IGenerateQueryFieldTypes;
fields: string[];
index: number;
operation?: "query" | "subscription";
queryName?: string;
resultAlias: string;
resultReturning: string;
resultVariables: any;
returning?: string;
tableName: string;
tableNamePostfix?: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateQueryDataOptions
  - IGenerateQueryDataResult

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:34

#####
Index

### Properties

alias
args
defs
fieldTypes
fields
index
operation?
queryName?
resultAlias
resultReturning
resultVariables
returning?
tableName
tableNamePostfix?
variables?

## Properties

### alias

alias: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:40

### args

args: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:39

### defs

defs: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:38

### fieldTypes

fieldTypes: IGenerateQueryFieldTypes

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:37

### fields

fields: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:36

### index

index: number

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:41

### `Optional` operation

operation?: "query" | "subscription"

Inherited from IGenerateQueryDataOptions.operation

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:20

### `Optional` queryName

queryName?: string

Inherited from IGenerateQueryDataOptions.queryName

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:21

### resultAlias

resultAlias: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:42

### resultReturning

resultReturning: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:35

### resultVariables

resultVariables: any

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:43

### `Optional` returning

returning?: string

Inherited from IGenerateQueryDataOptions.returning

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:22

### tableName

tableName: string

Inherited from IGenerateQueryDataOptions.tableName

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:19

### `Optional` tableNamePostfix

tableNamePostfix?: string

Inherited from IGenerateQueryDataOptions.tableNamePostfix

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:18

### `Optional` variables

variables?: any

Inherited from IGenerateQueryDataOptions.variables

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:23

Generated using TypeDoc